@import url('https://fonts.googleapis.com/css2?family=Mona+Sans:ital,wght@0,200..900;1,200..900&display=swap');

:root {
    --primary-color: #0d0c22;
    --secondary-color: #fff;
    --text-color: #7a7a7a;
    --accent-color: #0d0c22;
    --theme-color: #eddbbf;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Mona Sans", sans-serif;
}

body {
    position: relative;
    /* overflow: hidden; */
}

.container {
    max-width: 1200px;
    margin: auto;
}

strong {
    color: var(--primary-color);
}

a {
    text-decoration: none;
    color: var(--primary-color);
}

.icon {
    width: 20px;
    height: 20px;
}

.button {
    border: none;
    border-radius: 30px;
    background-color: var(--secondary-color);
    color: var(--accent-color);
    padding-block: 8px;
    padding-inline: 30px;
    font-weight: 400;
    font-size: 16px;
    cursor: pointer;
    outline: 1px solid var(--accent-color);
    position: relative;
    overflow: hidden;
}

.button span {
    position: relative;
    z-index: 1;
    color: var(--accent-color);
    transition: color 0.3s ease-out;

}

.button:hover span {
    color: var(--secondary-color);
    /* transition-delay: 0.2s; */
}

.button::before {
    content: "";
    position: absolute;
    z-index: 0;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: var(--accent-color);
    border-radius: 30px;
    transform: translateX(-100%);
    transition: transform 0.3s ease;
}

.button:hover::before {
    transform: translateX(0);

}


h1 {
    font-size: 52px;
    margin-bottom: 10px;
}

h2 {
    font-size: 32px;
    margin-bottom: 10px;
}

h3 {
    font-size: 26px;
    margin-bottom: 10px;
}

.text {
    color: var(--text-color);
}

@media (max-width: 390px) {

    h1 {
        font-size: 45px;
    }
}

.loader_container {
    display: none;
    align-items: center;
    justify-content: center;
    background-color: rgba(0, 0, 0, 0.4);
    position: absolute;
    z-index: 999;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
}

.loader {
    border: 4px solid black;
    border-top: 4px solid red;
    border-radius: 50%;
    height: 35px;
    width: 35px;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.success_message {
    position: absolute;
    top: -45px;
    /* top: 0; */
    left: 50%;
    transform: translateX(-50%);
    z-index: 10;
    padding-block: 5px;
    padding-inline: 20px;
    border-radius: 3px;
    background: #d1e7dd;
    color: #0a6b49;
    transition: top 0.4s ease;
}

.show {
    top: 15px;
}

@media (max-width: 390px) {

    .success_message {
        font-size: 14px;
        padding-inline: 10px;

        left: 50%;
        transform: translateX(-50%);

        width: max-content;
        max-width: 90%;
        text-align: center;
    }

}

/* homepage styling */

.hero {
    background: var(--theme-color);
    padding-block: 30px 40px;
}

.navbar {
    background-color: rgba(255, 255, 255, 0.4);
    padding-block: 20px;
    padding-inline: 30px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-radius: 13px;
}

.input_group,
.cart_container {
    display: flex;
    align-items: center;
    cursor: pointer;
}

.logo {
    font-size: 26px;
    font-weight: 600;
}

.input_group {
    width: 70%;
    background: #fff;
    border-radius: 30px;
    padding-inline: 20px;
    position: relative;
    min-width: 0;
}

.input_group .search_wrapper {
    display: flex;
    align-items: center;
    flex: 1;
}

.search_wrapper input {
    width: 100%;
    border-radius: 5px;
    border: none;
    padding-block: 12px;
    padding-inline: 10px;

}

.search_wrapper input:focus {
    outline: none;
}

.suggestion_box,
.suggestion_box li {
    display: flex;
}

.suggestion_box {
    display: none;
    position: absolute;
    top: 50px;
    left: 0;
    right: 0;
    z-index: 4;
    color: var(--text-color);
    background-color: #fff;
    list-style: none;
    padding: 10px 5px;
    border-radius: 10px;
    flex-direction: column;
    gap: 7px;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}

.suggestion_box li {
    align-items: center;
    gap: 10px;
    /* border-bottom: 1px solid var(--text-color); */

}

.suggestion_box li:hover {
    background: var(--theme-color);
    border-radius: 3px;
}

.suggestion_content_box {
    width: 100%;
    padding-block: 5px;
    padding-inline: 10px;
    display: flex;
    gap: 10px;
    align-items: center;
    color: var(--text-color);
}

.suggestion_content_box div {
    flex: 1;
}

@media (max-width: 390px) {

    .hero {
        padding-inline: 10px;
    }

    .navbar {
        padding-block: 10px;
        padding-inline: 10px;
        flex-wrap: wrap;
        gap: 20px;
        border-radius: 15px;
    }

    .logo {
        flex: 0 0 45%;
    }

    .input_group {
        order: 1;
        flex: 0 0 100%;
    }

    .cart_container {
        flex: 0 0 45%;
        justify-content: end;
    }

    .logo {
        padding-left: 10px;
    }

    .cart_container {
        padding-right: 10px;
    }
}

.hero_content_group {
    display: grid;
    grid-template-columns: 60% 1fr;
}

.left_group {
    background-color: transparent;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-inline: 50px;
}

.left_group h1 {
    margin-bottom: 13px;
}

.left_group p {
    line-height: 30px;
    font-size: 18px;
}

.explore_btn {
    margin-top: 30px;
    align-self: start;
    border: none;
    border-radius: 30px;
    background-color: var(--accent-color);
    color: var(--secondary-color);
    padding-block: 8px;
    padding-inline: 30px;
    font-weight: 400;
    font-size: 16px;
    cursor: pointer;
    outline: 1px solid var(--accent-color);
}

.explore_btn:hover {
    background-color: var(--secondary-color);
    color: var(--accent-color);
    outline: 1px solid var(--accent-color);
}

.right_group {
    background-color: transparent;
    display: flex;
    align-items: center;
    justify-content: center;
}

.right_group img {
    max-width: 100%;
}

@media (max-width: 390px) {

    .hero_content_group {
        grid-template-columns: 1fr;
        grid-template-areas: "a" "b";
        margin-block: 40px;
    }

    .left_group {
        padding: 0;
        grid-area: b;
    }

    .left_group h1 {
        font-size: 28px;
    }

    .left_group p {
        font-size: 16px;
    }

    .right_group {
        grid-area: a;
    }


}

/* product listing styles */

.product_listing_box {
    margin-block: 60px;
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.product_filters {
    display: flex;
    justify-content: space-between;
}

.filter,
.sort_by {
    display: flex;
    gap: 30px;
}

.filter_select {
    font-size: 13px;
    color: var(--text-color);
    border-radius: 5px;
    padding-inline: 10px;
    padding-block: 2px;
    border: none;
    box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
}

.filter_select option {
    font-size: 13px;
}

@media (max-width: 390px) {

    .product_filters {
        flex-direction: column;
        gap: 20px;
    }

    .filter {
        flex-direction: column;
        gap: 20px;
    }

    .filter_select {
        width: 100%;
        padding-block: 8px;
        font-size: 15px;
    }

    .sort_by {
        flex-direction: column;
        gap: 20px;
    }



}

.product_listing {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    column-gap: 30px;
    row-gap: 40px;
}

.product_card_box {
    background-color: transparent;
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.product_image_box {
    height: 280px;
    width: 100%;
    overflow: hidden;
    border-radius: 10px;
    background: #aea8a8;
}

.product_image {
    width: 100%;
    height: 100%;
    object-fit: contain;
    transition: transform 0.3s ease;
    cursor: pointer;
}

.product_image:hover {
    transform: scale(1.1);
}

.product_desc_box {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.product_desc_box h3 {
    font-size: 16px;
    margin: 0;
    cursor: pointer;
}

.product_card_meta {
    font-size: 14px;
    display: flex;
    gap: 10px;
}


.product_card_price {
    font-size: 18px;
    font-weight: 700;
    color: var(--text-color);
    margin-top: 5px;
}

.product_desc_box button {
    margin-top: 10px;
}

.quantity_error {
    color: red;
    font-size: 13px;
}

.product_pagination_container {
    display: flex;
    justify-content: center;
    gap: 20px;
    margin-top: 20px;
}

.product_pagination_container .page-btn {
    width: 70px;
    height: 30px;
    border-radius: 20px;
    outline: 1px solid var(--accent-color);
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.page-btn:hover {
    background-color: var(--accent-color) !important;
    color: var(--secondary-color);
    outline: 1px solid var(--accent-color);
}

.active_button {
    background-color: var(--accent-color) !important;
    color: var(--secondary-color);
    outline: 1px solid var(--accent-color);
}

@media (max-width: 390px) {

    .product_listing_box {
        margin-block: 40px;
        padding-inline: 20px;
    }

    .product_listing {
        grid-template-columns: 1fr;
    }

    .product_image_box {
        height: 300px;
    }

    .product_image {
        object-fit: contain;
    }
}

/* modal - page */

.product_detail_overlay {
    display: none;
    /* display: flex; */
    align-items: center;
    justify-content: center;
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    z-index: 2;
    background: rgba(0, 0, 0, 0.7);

}

.product_detail_outer_container {
    position: relative;
    width: 768px;
    height: 500px;
    border-radius: 30px;
    background: var(--secondary-color);
}

.close_btn_container_detail {
    position: absolute;
    top: 0;
    right: 0;
    z-index: 3;
    background-color: transparent;
    border-radius: 30px;
    padding-top: 15px;
    padding-right: 20px;
    display: flex;
    align-items: start;
    justify-content: end;
}

.close_btn_detail {
    cursor: pointer;
}

.product_detail_inner_container {
    width: 100%;
    height: 100%;
    padding: 10px;
    display: grid;
    grid-template-columns: 45% 1fr;
}

.product_detail_left_group {
    background: #aea8a8;
    border-radius: 20px;
}

.product_detail_left_group .product_detail_image {
    width: 100%;
    height: 100%;
    object-fit: contain;
    border-radius: 30px;
}

.product_detail_right_group {
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 20px;
}

.product_category {
    color: var(--text-color);
    font-size: 14px;
    font-style: italic;
    font-weight: 500;
    padding-inline: 10px;
    padding-block: 4px;
    background: #f5f5f5;
    border-radius: 5px;
    text-transform: capitalize;
}

.product_title {
    font-size: 22px;
    margin: 0;
}

.product_rating_container,
.product_price {
    display: flex;
    gap: 5px;
    font-size: 14px;
}

.product_rating_container {
    margin-bottom: 10px;
}

.product_rating {
    font-weight: 500;
}

.product_review {
    color: var(--text-color);
}

.regular_price {
    padding-top: 10px;
    font-size: 16px;
    text-decoration: line-through;
    color: var(--text-color);
}

.sale_price {
    font-weight: 900;
    font-size: 24px;
}

.product_description {
    font-size: 15px;
    color: var(--text-color);
}

.product_cta_container {
    margin-top: 20px;
    display: flex;
    gap: 20px;
}

.add_cart_button {
    border: none;
    border-radius: 30px;
    background: rgba(0, 0, 0, 0);
    color: var(--accent-color);
    outline: 1px solid var(--accent-color);
    padding-block: 8px;
    padding-inline: 30px;
    font-weight: 400;
    font-size: 16px;
    cursor: pointer;
}

.add_cart_button:hover {
    background: var(--accent-color);
    color: var(--secondary-color);
}

@media (max-width: 390px) {

    .product_detail_overlay {
        padding-inline: 10px;
    }

    .product_detail_outer_container {
        height: fit-content;
        width: 100vw;
    }

    .close_btn {
        color: var(--secondary-color);
        font-size: 24px;
    }

    .product_detail_inner_container {
        grid-template-columns: 1fr;
    }

    .product_detail_left_group {
        width: 100%;
        height: 300px;
    }

    .product_detail_right_group {
        margin-top: 10px;
        padding: 10px;
    }

    .product_title {
        font-size: 18px;
    }

    .product_description {
        display: none;
    }

    .product_cta_container {
        flex-direction: column;
    }
}

.footer {
    background: var(--primary-color);
    color: var(--secondary-color);
    display: flex;
    align-items: center;
    justify-content: center;
    padding-block: 30px;

}

.footer p {
    color: var(--secondary-color);
    font-size: 15px;
}

/* sidebar cart panel */

.product_sidebar_overlay {
    display: none;
    /* display: flex; */
    align-items: center;
    justify-content: end;
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    z-index: 2;
    background: rgba(0, 0, 0, 0.7);
}

.product_sidebar_outer_container {
    width: 400px;
    height: 100vh;
    position: relative;
    background: var(--secondary-color);
}

.close_btn_container_cart {
    position: absolute;
    top: 8px;
    left: -30px;
    z-index: 3;
    background-color: transparent;
    border-radius: 30px;
    display: flex;
    align-items: start;
    justify-content: end;
}

.close_btn_cart {
    color: var(--secondary-color);
    font-size: 18px;
    cursor: pointer;
}

.product_sidebar_inner_container {
    width: 100%;
    height: 100vh;
    overflow-y: hidden;
    display: flex;
    flex-direction: column;
}

.product_sidebar_header {
    display: flex;
    align-items: center;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}

.product_sidebar_header h2 {
    font-weight: 300;
    padding-inline: 10px;
}

.cart_card_box_container,
.checkout_container {
    display: flex;
    flex-direction: column;
}

.cart_card_box_container {
    gap: 20px;
    overflow: auto;
    background-color: transparent;
    width: 100%;
    flex: 1;
    padding-inline: 20px;
    padding-block: 20px;
}

.cart_card_box_container::-webkit-scrollbar {
    display: none;
}

.cart_card_box {
    display: grid;
    grid-template-columns: 35% 1fr;
    width: 100%;
    border-radius: 20px;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}

.cart_thumbnail_image {
    width: 100%;
    height: 100%;
    padding: 10px;
    padding: 10px;
}

.cart_thumbnail_image img {
    width: 100%;
    height: 100%;
    border-radius: 10px;
    background: #aea8a8;
}

.cart_desc_box {
    padding-inline: 10px;
    padding-block: 5px;
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.cart_flex {
    margin-top: 10px;
    display: flex;
    justify-content: space-between;
}

.cart_desc_box h4 {
    font-weight: 500;
    font-size: 14px;
}

.cart_desc_price {
    font-weight: 700;
}

.cart_desc_box p {
    font-size: 13px;
}

.cart_desc_quantity {
    outline: 2px solid var(--primary-color);
    border-radius: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 14px;
}

.quan_number {
    font-size: 13px;
}

.quantity_symbols {
    cursor: pointer;
    padding-inline: 15px;
}

.cart_del_btn {
    margin-right: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
    cursor: pointer;
    font-size: 14px;
}

.cart_del_btn img {
    width: 18px;
}

/* checkbox */

.checkout_container {
    width: 100%;
    padding-block: 10px;
    padding-inline: 10px;
    display: flex;
    flex-direction: column;
    gap: 6px;
    background: #d8effe;
}

.checkout_flex {
    font-size: 14px;
    display: flex;
    justify-content: space-between;
    padding-block: 8px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}

.checkout_discount {
    color: green;
}

.checkout_total_box {
    font-weight: 700;
    font-size: 15px;
}

.proceed_btn {
    margin-top: 10px;
    padding-block: 8px;
    padding-inline: 30px;
    font-weight: 400;
    font-size: 16px;
    border-radius: 5px;
    border: none;
    background: var(--accent-color);
    color: var(--secondary-color);
    outline: 1px solid var(--accent-color);
    cursor: pointer;
}

.proceed_btn:hover {
    background: var(--secondary-color);
    color: var(--accent-color);
    outline: 1px solid var(--accent-color);
}

@media (max-width: 390px) {

    .product_sidebar_outer_container {
        width: 100vw;
        height: 100dvh;
    }

    .product_sidebar_inner_container {
        width: 100%;
        height: 100%;
    }

    .close_btn_container_cart {
        top: 0;
        left: auto;
        right: 10px;
    }

    .close_btn_cart {
        color: var(--primary-color);
        font-size: 30px;
    }

    .product_sidebar_header {
        height: 60px;
        margin: 0;

    }

    .product_sidebar_header h2 {
        font-size: 26px;
    }

    .cart_card_box_container {
        padding-inline: 10px;
    }
}